---
title: Terms of Use
object_id: terms-of-use
---

# Quirkbot's Terms of Use

## 1. User Agreement

**1.1** These Terms of Use constitute an agreement between you and the Quirkbot Team that governs your use of Quirkbot and all associated services (collectively "Quirkbot"). The Quirkbot Team is part of the Swedish based company with the name Quirkbot AB. Please read the Terms of Use carefully. By using Quirkbot you affirm that you have read, understood, and accepted the terms and conditions in the Terms of Use. If you do not agree with any of these conditions, please do not use Quirkbot.

**1.2** Your privacy is important to us. Please read our Privacy Policy, which identifies how the Quirkbot Team uses, collects, and stores information it collects through the Services. By using Quirkbot, you additionally agree that you are comfortable with Quirkbot's {% assign arg1='privacy-policy' %}{% include f_print_page_link %}.

**1.3** Quirkbot is open to children and adults of all ages, and we ask that you keep this in mind when using the Quirkbot services. When you use Quirkbot, you agree to abide by the Quirkbot Community Guidelines.

**1.4** The Quirkbot Team may change the Terms of Use from time to time. You can always find the latest version of the Terms of Use at code.quirkbot.com. The date of the most recent revisions will appear on this page. Your continued use of the Services constitutes your acceptance of any changes to or revisions of the Terms of Use.

## 2. Account Creation and Maintenance

**2.1** In order to use some features of the Services, you will need to register with Quirkbot and create an account. Creating an account is optional, but without an account you will not be able to save or publish projects or comments on Quirkbot. When registering for a personal account, you might be asked to provide certain personal information, such as your email address, gender, birth month and year, and country. Please see Quirkbot's {% assign arg1='privacy-policy' %}{% include f_print_page_link %}. for Quirkbot's data retention and usage policies.

**2.2** You are responsible for keeping your password secret and your account secure. You are solely responsible for any use of your account, even if your account is used by another person. If any use of your account violates the Terms of Service, your account may be suspended or deleted.

**2.3** You may not use another person's Quirkbot account without permission.

**2.4** Account names cannot be changed. If you want a different account name, create a new account and copy your existing projects over by hand.

**2.5** If you have reason to believe that your account is no longer secure (for example, in the event of a loss, theft, or unauthorized disclosure of your password), promptly change your password. If you cannot access your account to change your password, notify us at support@quirkbot.com

## 3. Rules of Usage

**3.1** The Quirkbot Team supports freedom of expression. However, Quirkbot is intended for a wide audience, and some content might be inappropriate for the Quirkbot community. You may not use the Quirkbot service in any way, that: Promotes bigotry, discrimination, hatred, or violence against any individual or group; Threatens, harasses, or intimidates any other person, whether that person is a Quirkbot user or not; Contains foul language or personal attacks; Contains sexually explicit or graphically violent material; Provides instructions on how to commit illegal activities or obtain illegal products; Except in connection with organizing Quirkbot events, asks any other user for personally identifying information, contact information, or passwords; or Exposes any others person's personally identifying information, contact information, or passwords without that person's permission.

**3.2** You agree to comply with all applicable laws and regulations when you use Quirkbot. You may not use Quirkbot in any unlawful way, including to harass, stalk, or defame any other person.

**3.3** You may not impersonate, imitate or pretend to be somebody else when using the Services.

**3.4** You agree not to use Quirkbot in any way intended to disrupt the service, gain unauthorized access to the service, or interfere with any other user's ability to use the service. Prohibited activities include, but are not limited to:
Posting content deliberately designed to crash the Quirkbot website or editor; Linking to pages containing viruses or malware; Using administrator passwords or pretending to be an administrator; Repeatedly posting the same material, or "spamming"; Using alternate accounts or organizing voting groups to manipulate site statistics, such as purposely trying to get on the "What the Community is Loving/Remixing" rows of the front page.

**3.5** Commercial use of Quirkbot, user-generated content, and support materials is permitted under the Creative Commons Attribution-ShareAlike 2.0 license. However, the Quirkbot Team reserves the right to block any commercial use of Quirkbot that, in the Quirkbot Team's sole discretion, is harmful to the community. Harmful commercial use includes spamming or repeated advertisement through projects, comments, or forum posts.

**3.6** You agree not to post links to any content outside of the Quirkbot website, if to do so would violate any part of the Terms of Use.

## 4. User-Generated Content and Licensing

**4.1** For the purposes of the Terms of Use, "user-generated content" includes any projects, comments, forum posts, or links to third party websites that a user submits to Quirkbot.

**4.2** The Quirkbot Team encourages everyone to foster creativity by freely sharing code, art, music, and other works. However, we also understand the need for individuals and companies to protect their intellectual property rights. You are responsible for making sure you have the necessary rights, licenses, or permission for any user-generated content you submit to Quirkbot.

**4.3** All user-generated content you submit to Quirkbot is licensed to and through Quirkbot under the Creative Commons Attribution-ShareAlike 2.0 license. This allows others to view and remix your content. This license also allows the Quirkbot Team to display, distribute, and reproduce your content on the Quirkbot website, through social media channels, and elsewhere. If you do not want to license your content under this license, then do not share it on Quirkbot.

**4.4** You may only submit user-generated projects that were created with the Quirkbot CODE editor. You may not upload any projects that were created, by you or by anyone else, with a modified version of the Quirkbot CODE editor.

**4.5** Although the Quirkbot Team requires all users to comply with these Terms of Use, some inappropriate user-generated content may be submitted and displayed on the Quirkbot website. You understand that when you use Quirkbot you may be exposed to user-generated content that you find objectionable or offensive. If you see any content that violates the Community Guidelines or Terms of Use, please let us know by reporting it in the [Quirkbot Forum](http://forum.quirkbot.com). You only need to report an item once. The Quirkbot Team reviews reported content every day.

**4.6** In addition to reviewing reported user-generated content, the Quirkbot Team reserves the right, but is not obligated, to monitor all uses of the Quirkbot service. The Quirkbot Team may edit, move, or delete any content that violates the Terms of Use or Community Guidelines, without notice.

**4.7** All user-generated content is provided as-is. The Quirkbot Team makes no warranties about the accuracy or reliability of any user-generated content available through Quirkbot and does not endorse Quirkbot events or vet or verify information posted in connection with said events. The Quirkbot Team does not endorse any views, opinions, or advice expressed in user-generated content. You agree to relieve the Quirkbot Team of any and all liability arising from your user-generated content and from Quirkbot events you may organize or host.

## 5. Quirkbot Content and Licensing

**5.1** Except for any user-generated content, the Quirkbot Team owns and retains all rights in and to the Quirkbot, the design, functionality, and architecture of Quirkbot, and any software or content provided through Quirkbot (collectively "the Quirkbot IP"). If you want to use Quirkbot in a way that is not allowed by these Terms of Use, you must first contact the Quirkbot Team. Except for any rights explicitly granted under these Terms of Use, you are not granted any rights in and to any Quirkbot IP.

**5.2** Quirkbot might provide support materials, including images, sounds, video, and sample code, to help users build projects. Such support materials are licensed under the Creative Commons Attribution-ShareAlike 2.0 license. You may also use screenshots of Quirkbot under the same license. Please note that this does not apply to materials that are also trademarked by the Quirkbot Team or other parties as described in parts 5.4 and 5.5, below.
The Creative Commons Attribution-ShareAlike 2.0 license requires you to attribute any material you use to the original author. When you use Quirkbot support materials, or screenshots of the Quirkbot website, please use the following attribution: "Quirkbot is developed by the Quirkbot AB. See http://www.quirkbot.com"

**5.3** The source code for the Quirkbot library is available for download and subject to the copyright notice as indicated on the Quirkbot github account.

**5.4** The Quirkbot name and the Quirkbot logo are Trademarks owned by Quirkbot AB. Unless you are licensed by Quirkbot under a specific licensing program or agreement, you many not use these logos to label, promote, or endorse any product or service. You may use the Quirkbot Logo to refer to the Quirkbot website and programming language.

**5.5** The Quirkbot support materials library (under construction) may contain images and sounds that are trademarked by third parties. The fact that materials are included in the Quirkbot support materials library does not in any way limit or reduce intellectual property rights, including trademark rights, otherwise available to the materials' owners. Nothing in these Terms of Use or the Creative Commons 2.0 license will be construed to limit or reduce any party's rights in that party's valid trademarks. You may not use these materials to label, promote, or endorse any product or service. You are solely responsible for any violation of a third party's intellectual property rights caused by your misuse of these materials.

## 6. Digital Millennium Copyright Act (DMCA)

**6.1** If you are a copyright holder and believe that content on Quirkbot violates your rights, you may send a DMCA notification to hello@quirkbot.com. For more information, including the information that must be included in a DMCA notification, see the text of the DMCA, 17 U.S.C. § 512.

**6.2** If you are a Quirkbot user and you believe that your content did not constitute a copyright violation and was taken down in error, you may send a notification to hello@quirkbot.com Please include:
Your Quirkbot username and email address;
The specific content you believe was taken down in error; and
A brief statement of why you believe there was no copyright violation (e.g., the content was not copyrighted, you had permission to use the content, or your use of the content was a "fair use").

## 7. Suspension and Termination of Accounts

**7.1** Quirkbot has the right to suspend your account for violations of the Terms of Use or Community Guidelines. Repeat violators may have their account deleted. The Quirkbot Team reserves the sole right to determine what constitutes a violation of the Terms of Use or Community Guidelines. The Quirkbot Team also reserves the right to terminate any account used to circumvent prior enforcement of the Terms of Use.

**7.2** If you want to delete or temporarily disable your account, please email support@quirkbot.com.

## 8. Third Party Websites

Content on Quirkbot, including user-generated content, may include links to third party websites. The Quirkbot Team is not capable of reviewing or managing third party websites, and assumes no responsibility for the privacy practices, content, or functionality of third party websites. You agree to relieve the Quirkbot Team of any and all liability arising from third party websites.

## 9. Indemnification

You agree to indemnify the Quirkbot Team, Kids Hack Day, and all their affiliates, employees, faculty members, fellows, students, agents, representatives, third party service providers, and members of their governing boards (all of which are "Quirkbot and Kids Hack Day Entities"), and to defend and hold each of them harmless, from any and all claims and liabilities (including attorneys' fees) arising out of or related to your breach of the Terms of Service or your use of Quirkbot.

## 10. Disclaimer of Warranty

You acknowledge that you are using Quirkbot at your own risk. Quirkbot is provided "as is," and the Quirkbot Entities hereby expressly disclaim any and all warranties, express and implied, including but not limited to any warranties of accuracy, reliability, title, merchantability, non-infringement, fitness for a particular purpose or any other warranty, condition, guarantee or representation, whether oral, in writing or in electronic form, including but not limited to the accuracy or completeness of any information contained therein or provided by Quirkbot. Without limiting the foregoing, the Quirkbot Entities disclaim any and all warranties, express and implied, regarding user-generated content and Quirkbot events. The Quirkbot Entities and their third party service providers do not represent or warrant that access to Quirkbot will be uninterrupted or that there will be no failures, errors or omissions or loss of transmitted information, or that no viruses will be transmitted through Quirkbot services.

## 11. Limitation of Liability

The Quirkbot Entities shall not be liable to you or any third parties for any direct, indirect, special, consequential or punitive damages of any kind, regardless of the type of claim or the nature of the cause of action, even if the Quirkbot Team has been advised of the possibility of such damages. Without limiting the foregoing, the Quirkbot Entites shall have no liability to you or any third parties for damages or harms arising out of user-generated content or Quirkbot events.

## 12. Jurisdiction

Quirkbot is offered by the Quirkbot Team from its facilities in Sweden. The Quirkbot Team makes no representations that Quirkbot is appropriate or available for use in other locations. Those who access or use Quirkbot are responsible for compliance with local law.

## 13. Choice of Law and Venue

You agree that these Terms of Use, for all purposes, shall be governed and construed in accordance with the laws of Sweden, applicable to contracts to be wholly performed therein, and any action based on, relating to, or alleging a breach of the Terms of Use must be brought in a federal Swedish court. In addition, both parties agree to submit to the exclusive personal jurisdiction and venue of such courts.

## 14. Choice of Language

If the Quirkbot Team provides you with a translation of the English language version of these Terms of Use, the Privacy Policy, or any other policy, then you agree that the translation is provided for informational purposes only and does not modify the English language version. In the event of a conflict between a translation and the English version, the English version will govern.

## 15. No Waiver

No waiver of any term of these Terms of Use shall be deemed a further or continuing waiver of such term or any other term, and the Quirkbot Team's failure to assert any right or provision under these Terms of Use shall not constitute a waiver of such right or provision.

## 16. Entire Agreement

This document, together with all appendices, constitutes the entire Terms of Use and supersedes all previous agreements with the Quirkbot Team relating to the use of Quirkbot.

*Revision date: 10th December 2015.*

*The Quirkbot Terms of Use was last updated: December 2015*
